PETSc version 3.15.5
Fix/Edit manual page

# PetscLogEventSync

Synchronizes the beginning of a user event.

### Synopsis

    #include <petsclog.h>
    PetscErrorCode PetscLogEventSync(int e,MPI_Comm comm)

Collective

### Input Parameters

| e | - integer associated with the event obtained from PetscLogEventRegister()
| comm | - an MPI communicator

### Usage

         PetscLogEvent USER_EVENT;
         PetscLogEventRegister("User event",0,&USER_EVENT);
         PetscLogEventSync(USER_EVENT,PETSC_COMM_WORLD);
         PetscLogEventBegin(USER_EVENT,0,0,0,0);
            [code segment to monitor]
         PetscLogEventEnd(USER_EVENT,0,0,0,0);

### Notes

This routine should be called only if there is not a PetscObject available to pass to PetscLogEventBegin().

### See Also

PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd()

### Level

developer

### Location

src/sys/logging/plog.c

### Examples

src/sys/tutorials/ex3.c.html
Index of all Profiling routines
Table of Contents for all manual pages
Index of all manual pages